osl::progress::ml Namespace Reference

- Main Page
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros
Classes | Functions
osl::progress::ml Namespace Reference

## Classes
struct | NewProgressDebugInfo
struct | NewProgressData
class | NewProgress

## Functions
bool | operator== (const NewProgressData &l, const NewProgressData &r)
bool | operator== (const NewProgress &l, const NewProgress &r)
template void | osl::progress::ml::NewProgress::updateSub< osl::BLACK > (const NumEffectState &new_state, Move last_move)
template void | osl::progress::ml::NewProgress::updateSub< osl::WHITE > (const NumEffectState &new_state, Move last_move)

## Function Documentation

bool osl::progress::ml::operator== | ( | const NewProgressData & | l,
|  | const NewProgressData & | r
| ) |  |

Definition at line 13 of file newProgress.cc.

References osl::progress::ml::NewProgressData::attack5x5_progresses, osl::progress::ml::NewProgressData::bishop, osl::progress::ml::NewProgressData::defenses, osl::progress::ml::NewProgressData::effect_progresses, osl::progress::ml::NewProgressData::gold, osl::progress::ml::NewProgressData::king_relative_attack, osl::progress::ml::NewProgressData::king_relative_defense, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair, osl::progress::ml::NewProgressData::non_pawn_ptype_attacked_pair_eval, osl::progress::ml::NewProgressData::progresses, osl::progress::ml::NewProgressData::promoted, osl::progress::ml::NewProgressData::rook, osl::progress::ml::NewProgressData::silver, and osl::progress::ml::NewProgressData::stand_progresses.

bool osl::progress::ml::operator== | ( | const NewProgress & | l,
|  | const NewProgress & | r
| ) |  |
| inline

Definition at line 283 of file newProgress.h.

References osl::progress::ml::NewProgress::rawData().

template void osl::progress::ml::osl::progress::ml::NewProgress::updateSub< osl::BLACK > | ( | const NumEffectState & | new_state,
|  | Move | last_move
| ) |  |

template void osl::progress::ml::osl::progress::ml::NewProgress::updateSub< osl::WHITE > | ( | const NumEffectState & | new_state,
|  | Move | last_move
| ) |  |